@Player "optikboss"
{
   weight=3000       // Weight in pounds
   team=2
   filename="models\\optikboss\\optikboss.chr"
   //frag_message="%s was assassinated by %s's"
   //suicide_message="%s died for the MOB"
   //left_message="%s left the game to go target practice"
   bbox_min_x=-64
   bbox_min_y=-64
   bbox_min_z=0
   bbox_max_x=64
   bbox_max_y=64
   bbox_max_z=270
   lighting_level=2
   //damage=10
   encumbrance=1.8
   stamina_recovery_rate=1000
   run_speed=125
   walk_speed=50
   jump_speed=0
   jump_sound="a_jump"
   jump_stamina=6
   min_health=-1000
   non_damage_fall_vel=250
   min_fall_vel=600
   fall_health_damage=15
   fall_stamina_damage=15
   foot_step_sound="ob_footstep"
   min_time_for_spawn=2
   max_time_for_spawn=30
   spawn_hide_time=1
   climb_ability=1
   crouch_speed_adj=0.2
   offensive_damage_adj=1
   default_damage_adj=.015
   add_damage_type_adj="healing,1"
   encumbrance_adjust=1
   allowable_armour="Body Armour,Head Armour,Heavy Head Armour,Left Thigh Armour,Right Thigh Armour"

   add_damage_effect="punch,Punch_Hit"
   add_damage_effect="thrown_knife,KnifeStickEffect"
   add_damage_effect="knife,Knife_Hit"
   add_damage_effect="msaw,MsawSprayEffect"
   add_damage_effect="buckshot|small|pierce,BloodSplat"
   add_damage_effect="energy,SnipergunPlayerImpact"
   add_damage_effect="escrima,Escrima_Hit"

   weapon_slot="0,OptikGun"
   weapon_slot="1,OptikFlameGun"

   max_ammo_count="0,100"
   max_ammo_count="1,200"
   max_ammo_count="2,25"
   max_ammo_count="3,32"
   max_ammo_count="4,75"
   max_ammo_count="5,250"
   max_ammo_count="6,250"
   max_ammo_count="7,30"
   max_ammo_count="8,1"

   @Spawn "default"
   {
      //ammo_count="0,10"
      //ammo_count="3,10"

      default_weapon="OptikFlameGun"
      start_weapons="OptikFlameGun,OptikGun"
   }

   @StaminaRange "Bezerk"{
      max=200
      speed_adj=1.5
      jump_adj=1.5
   }
   @StaminaRange "OnDrugs"{
      max=160
      speed_adj=1.3
      jump_adj=1.3
   }
   @StaminaRange "Rested"{
      max=100
      speed_adj=1.1
      jump_adj=1
   }
   @StaminaRange "Active"{
      max=80
      looping_sound="a_breath1"
      speed_adj=1
      jump_adj=1
   }
   @StaminaRange "Working"{
      max=70
      looping_sound="a_breath2"
      speed_adj=0.9
      jump_adj=0.95
   }
   @StaminaRange "WorkingHard"{
      max=60
      looping_sound="a_breath3"
      speed_adj=0.8
      jump_adj=0.9
   }
   @StaminaRange "Exhausted"{
      max=40
      looping_sound="a_breath4"
      speed_adj=0.7
      jump_adj=0.85
   }
   @StaminaRange "Unconscious"{
      max=0
      looping_sound="Breath5"
      speed_adj=0.5
      jump_adj=0.8
   }
   min_stamina=-20
   passout_anim="passout"
   recover_anim="standup"
   die_if_passedout=0
   @LookTrackJoint "Spine1"
   {
      joint="Bip01 Spine1"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine2"
   {
      joint="Bip01 Spine2"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine3"
   {
      joint="Bip01 Spine3"
      angles="(-90,-30)(90,30)"
   }
   @LookTrackJoint "Neck"
   {
      joint="Bip01 Neck"
      angles="(-90,-20)(90,20)"
   }
   @DamageMap "head"
   {
      add_joint="Bip01 Head"
      default_damage_adj=2
	  add_damage_type_adj="gas,10"
   }
   @DamageMap "body"
   {
      add_joint="Bip01 Spine3"
      add_joint="Bip01 Spine2"
      add_joint="Bip01 Spine1"
      add_joint="Bip01"
      default_damage_adj=1
	  add_damage_type_adj="gas,0"
   }
   @DamageMap "legs"
   {
      add_joint="Bip01 L Thigh"
      add_joint="Bip01 L Calf"
      add_joint="Bip01 R Calf"
      add_joint="Bip01 R Thigh"
      add_joint="Bip01 R Foot"
      add_joint="Bip01 L Foot"
      default_damage_adj=0.5
	   add_damage_type_adj="gas,0"
   }
   @DamageMap "arms"
   {
      add_joint="Bip01 L UpperArm"
      add_joint="Bip01 L Forearm"
      add_joint="Bip01 R Forearm"
      add_joint="Bip01 R UpperArm"
      default_damage_adj=0.25
	  add_damage_type_adj="gas,0"
      add_damage_type_adj="explosive,1"
   }


///////////////////////////////////////////DEATH ACTS
   @DeathAct "die_default"
   {
      anim="die_default"
      sound="ob_death1"
   }


///////////////////PAIN ACTS
   @PainAct "pain1"
   {
      anim="pain_front"
      sound="ob_pain1"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      effect="SpitBloodEffect2,Jaw"
      duration=.8
   }

   @PainAct "pain2"
   {
      anim="pain_left"
      sound="ob_pain2"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain3"
   {
      anim="pain_right"
      sound="ob_pain3"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain4"
   {
      anim="pain_back"
      sound="ob_pain4"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain5"
   {
      anim="pain_front"
      sound="ob_pain5"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   // AI Specific
   @PlayerAct "Wake1"
   {
      sound="ob_wake1"
   }
    @Script "OnGoCombat"
   {
      playAct("Wake1")
   }
   ai_weapon_change_chance(0.5)
   ai_chase_time(-1)
}

