@Player "playerlevel1"
{
   inherit("player")
   removeEffect("PlayerRespawnEffect")
   spawn_sound=""

   weapon_slot="2,AI_Pistol"
   offensive_damage_adj=.4
  
   max_ammo_count="2,150"

   @Spawn "default"
   {
      ammo_count="6,200"
      default_weapon="RiotGun"
      start_weapons="Punch,RiotGun"
   }

   @Weapon "RiotGun"
   {
      track_to_joint="Bip01 R Hand"
      @Mode "Primary"
      {
         weapon_reload_sound="Riotgun_Reload_Sound"
         ammo_count=50
         fire_period=.09
         weapon_ray_spread=0.010
         weapon_ray_damage=14
         weapon_ray_stamina=13
         ai_min_range=0
      }
   }

///////////////////PAIN ACTS
   @PainAct "pain1SP"
   {
      anim="pain_front"
      sound="pain4a"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      //effect="SpitBloodEffect2,Jaw"
      duration=.8
   }

   @PainAct "pain2SP"
   {
      anim="pain_left"
      sound="pain4b"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

      @PainAct "pain3SP"
   {
      anim="pain_right"
      sound="pain4c"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain4SP"
   {
      anim="pain_back"
      sound="pain4d"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain5SP"
   {
      anim="pain_front"
      sound="pain4e"
      damage_type="pierce|punch|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   // AI Specific
   @PlayerAct "Wake1"
   {
      sound="player_wake1"
   }
   @PlayerAct "Wake2"
   {
      sound="player_wake2"
   }
   @PlayerAct "Wake3"
   {
      sound="player_wake3"
   }
   @PlayerAct "Wake4"
   {
      sound="player_wake4"
   }
   @PlayerAct "Wake5"
   {
      sound="player_wake5"
   }
   @PlayerAct "Follow1"
   {
      sound="player_follow1"
   }
   @PlayerAct "Follow2"
   {
      sound="player_follow2"
   }
   @PlayerAct "Follow3"
   {
      sound="player_follow3"
   }
   @PlayerAct "Follow4"
   {
      sound="player_follow4"
   }
   @PlayerAct "Follow5"
   {
      sound="player_follow5"
   }
   @PlayerAct "FriendlyFire1"
   {
      sound="player_friendlyfire1"
   }
   @PlayerAct "FriendlyFire2"
   {
      sound="player_friendlyfire2"
   }
   @PlayerAct "FriendlyFire3"
   {
      sound="player_friendlyfire3"
   }
   @Script "OnGoCombat"
   {
      playAct("Wake1","Wake2","Wake3","Wake4","Wake5")
   }
   @Script "OnGoFollow"
   {
      playAct("Follow1","Follow2","Follow3","Follow4","Follow5")
   }
   @Script "OnFriendlyFire"
   {
      playAct("FriendlyFire1","FriendlyFire2","FriendlyFire3")
   }
}
