@Player "skeletonlevel1"
{
   filename="models\\skeleton\\skeleton.chr"
   bbox_min_x=-20
   bbox_min_y=-20
   bbox_min_z=-36
   bbox_max_x=20
   bbox_max_y=20
   bbox_max_z=23
   lighting_level=2
   damage=10
   stamina_recovery_rate=20.0
   run_speed=300
   walk_speed=100
   jump_speed=260
   min_health=-30
   non_damage_fall_vel=250
   min_fall_vel=600 ///was 500
   add_effect="SkeletonRespawnEffect"
   offensive_damage_adj=.25
   add_damage_type_adj="gas,0"
   add_damage_type_adj="explosive,2"
   default_damage_adj=1.25
   allowable_armour=""
   passout_anim="passout"
   recover_anim="standup"
   add_damage_effect="msaw,DrywallEffect"
   add_damage_effect="buckshot|small|pierce,DrywallEffect"
   add_damage_effect="energy,DrywallEffect"

   weapon_slot="11,Msaw"

   @Spawn "default"
   {
      default_weapon="Msaw"
      start_weapons="Msaw"
   }
   die_if_passedout=0
   @LookTrackJoint "Spine1"
   {
      joint="Bip01 Spine1"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine2"
   {
      joint="Bip01 Spine2"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine3"
   {
      joint="Bip01 Spine3"
      angles="(-90,-30)(90,30)"
   }
   @LookTrackJoint "Neck"
   {
      joint="Bip01 Neck"
      angles="(-90,-20)(90,20)"
   }
   @DamageMap "head"
   {
      add_joint="Bip01 Head"
      default_damage_adj=2
	  add_damage_type_adj="gas,10"
   }
   @DamageMap "body"
   {
      add_joint="Bip01 Spine3"
      add_joint="Bip01 Spine2"
      add_joint="Bip01 Spine1"
      add_joint="Bip01"
      default_damage_adj=1
	  add_damage_type_adj="gas,0"
   }
   @DamageMap "legs"
   {
      add_joint="Bip01 L Thigh"
      add_joint="Bip01 L Calf"
      add_joint="Bip01 R Calf"
      add_joint="Bip01 R Thigh"
      add_joint="Bip01 R Foot"
      add_joint="Bip01 L Foot"
      default_damage_adj=0.5
	   add_damage_type_adj="gas,0"
   }
   @DamageMap "arms"
   {
      add_joint="Bip01 L UpperArm"
      add_joint="Bip01 L Forearm"
      add_joint="Bip01 R Forearm"
      add_joint="Bip01 R UpperArm"
      default_damage_adj=0.25
	  add_damage_type_adj="gas,0"
      add_damage_type_adj="explosive,1"
   }
///////////////////////////////////////////DEATH ACTS
   @DeathAct "die_default"
   {
      anim="die_default"
      sound="sk_death1"
      damage_type="small"
      twitch_anims="die_default_twitch"
      effect="BloodPoolLauncherEffect"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_machinegun"
      sound="sk_death2"
      damage_type="pierce"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      twitch_anims="die_machinegun_twitch"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="sk_death3"
      damage_type="pierce"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      twitch_anims="die_default_twitch"
   }

   @DeathAct "die_shotgun_front"
   {
      anim="die_shotgun_front"
      sound="sk_death1"
      damage_type="buckshot"
      direction="f,r,l,u,d"
      twitch_anims="die_shotgun_front_twitch"
   }
   @DeathAct "die_shotgun_back"
   {
      anim="die_shotgun_back"
      sound="sk_death2"
      damage_type="buckshot"
      direction="b,r,l,u,d"
      twitch_anims="die_shotgun_back_twitch"
   }
   @DeathAct "die_explosion_front"
   {
      anim="die_explosion_front"
      sound="sk_death3"
      damage_type="explosive"
      direction="f,r,l,u,d"
      twitch_anims="die_explosion_front_twitch"
   }
   @DeathAct "die_explosion_back"
   {
      anim="die_explosion_back"
      sound="sk_death1"
      damage_type="explosive"
      direction="b,r,l,u,d"
      twitch_anims="die_explosion_back_twitch"
   }
   @DeathAct "die_fire1"
   {
      anim="die_fire1"
      sound="sk_death1"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
      effect="PlayerFireEffect,Bip01 Spine"
   }

   @DeathAct "die_fire2"
   {
      anim="die_fire1"
      sound="sk_death2"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
	   effect="PlayerFireEffect,Bip01 Spine"
   }
   @DeathAct "die_headshot"
   {
      anim="die_headshot"
      sound="sk_death3"
      damage_type="energy|pierce|knife|escrima"
      joints="Bip01 Head"
      twitch_anims="die_headshot_twitch"
   }

   @DeathAct "die_fall"
   {
      anim="die_fall"
      sound="skeletonscream"
      damage_type="fall"
      twitch_anims="die_fall_twitch"

   }
///////////////////PAIN ACTS
   @PainAct "pain1"
   {
      anim="pain_front"
      sound="sk_pain1a"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain2"
   {
      anim="pain_left"
      sound="sk_pain1b"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain3"
   {
      anim="pain_right"
      sound="sk_pain1c"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain4"
   {
      anim="pain_back"
      sound="sk_pain1a"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain5"
   {
      anim="pain_front"
      sound="sk_pain1b"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain6"
   {
      anim="pain_left"
      sound="sk_pain1c"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain7"
   {
      anim="pain_right"
      sound="sk_pain1a"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain8"
   {
      anim="pain_back"
      sound="sk_pain1b"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain9"
   {
      anim="pain_front"
      sound="sk_pain1c"
      damage_type="pierce|small|energy|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "fire1"
   {
      anim="fire1"
      sound="sk_pain1a"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="fire1"
      sound="sk_pain1b"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="fire1"
      sound="sk_pain1c"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "Fall"
   {
      anim="Fall0"
      sound="PainFall"
      stamina="0,1"
      damage_type="fall"
   }
   @PainAct "Fall1"
   {
      anim="Fall1"
      sound="PainFall"
      stamina="1,40"
      damage_type="fall"
   }
   @PainAct "Fall2"
   {
      anim="Fall2"
      sound="skeletonscream"
      stamina="40,200"
      damage_type="fall"
   }
/////////////////////////////GIBS
   @PlayerGib "StdGibs1"
   {
      damage_type="buckshot|fall|msaw|energy"
      add_effect="ExplosionDustEffect"
      add_effect="SkeletonGib"
   }


   @PlayerGib "ExposiveFlamingGibs1"
   {
      damage_type="explosive"
      add_effect="ExplosionDustEffect"
      add_effect="ExplosiveSkeletonGib"
   }

   // AI Specific
   @PlayerAct "Wake1"
   {
      sound="skeleton_wake1"
   }
   @PlayerAct "Wake2"
   {
      sound="skeleton_wake2"
   }
   @PlayerAct "Wake3"
   {
      sound="skeleton_wake3"
   }
   @PlayerAct "Wake4"
   {
      sound="skeleton_wake4"
   }
   @PlayerAct "Wake5"
   {
      sound="skeleton_wake5"
   }
   @Script "OnGoCombat"
   {
      playAct("Wake1","Wake2","Wake3","Wake4","Wake5")
   }
}
