@Player "hplayer"
{
   weight=250        // Weight in pounds
   team=1
   filename="hplayer.chr"
   frag_message=FRAG_HPLAYER
   suicide_message=SUICIDE_HPLAYER
   //left_message="%s left the game and went to the gym"
   bbox_min_x=-21
   bbox_min_y=-21
   bbox_min_z=-36
   bbox_max_x=21
   bbox_max_y=21
   bbox_max_z=33
   lighting_level=3
   damage=10
   encumbrance=1.7
   stamina_recovery_rate=4.0
   run_speed=260
   walk_speed=140
   jump_speed=250
   jump_sound="h_jump"
   jump_stamina=6
   min_health=-30
   //twitch_anims="die1twitch1"
   non_damage_fall_vel=240
   min_fall_vel=600
   fall_health_damage=15
   fall_stamina_damage=15
   spawn_sound="Player_Respawn"
   min_time_for_spawn=2
   max_time_for_spawn=30
   spawn_hide_time=1
   climb_ability=1
   add_effect="PlayerRespawnEffect"
   crouch_speed_adj=0.4
   add_damage_type_adj="healing,1"
   add_damage_type_adj="gas,explosion,0.75"
   add_damage_type_adj="fall,1"
   default_damage_adj=.45
   encumbrance_adjust=.5
   allowable_armour="Body Armour,Head Armour,Heavy Head Armour,Left Thigh Armour,Right Thigh Armour"
   add_damage_effect="punch,Punch_Hit"
   add_damage_effect="thrown_knife,KnifeStickEffect"
   add_damage_effect="knife,Knife_Hit"
   add_damage_effect="msaw,MsawSprayEffect"
   add_damage_effect="buckshot|small|pierce,BloodSplat"
   add_damage_effect="energy,SnipergunPlayerImpact"
   add_damage_effect="escrima,Escrima_Hit"

   weapon_slot="0,Punch"
   weapon_slot="1,Grenade"
   weapon_slot="2,Pistol"
   weapon_slot="3,Shotgun"
   weapon_slot="4,RiotGun"
   weapon_slot="5,Haw-90"
   weapon_slot="6,Quadbarrel"
   weapon_slot="7,Minigun"
   weapon_slot="8,SniperGun"
   weapon_slot="9,FlameThrower"
   weapon_slot="10,Bomb"
   weapon_slot="11,Msaw"
   max_ammo_count="0,200"
   max_ammo_count="1,250"
   max_ammo_count="2,25"
   max_ammo_count="3,60"
   max_ammo_count="4,75"
   max_ammo_count="5,250"
   max_ammo_count="6,250"
   max_ammo_count="7,5"
   max_ammo_count="8,1"

   @Spawn "default"
   {
      ammo_count="0,30"
      ammo_count="4,8"
      default_weapon="Quadbarrel"
      start_weapons="Punch,Pistol,Quadbarrel"
   }
   @Spawn "tactical"
   {
      ammo_count="0,45"
      ammo_count="4,32"
      ammo_count="1,250"
      ammo_count="7,5"
      default_weapon="Minigun"
      start_weapons="Punch,Pistol,Quadbarrel,Minigun,Grenade"
      start_armour="Body Armour,Head Armour,Left Thigh Armour,Right Thigh Armour"
   }
   @Spawn "assault"
   {
      ammo_count="0,45"
      ammo_count="4,32"
      ammo_count="1,250"
      ammo_count="7,5"
      ammo_count="8,1"
      default_weapon="Minigun"
      start_weapons="Punch,Pistol,Quadbarrel,Minigun,Grenade,Bomb"
      start_armour="Body Armour,Head Armour,Left Thigh Armour,Right Thigh Armour"
   }
   @Spawn "UMC_Mission0"
   {
      ammo_count="0,45"
      default_weapon="Pistol"
      start_weapons="Punch,Pistol"
   }

   @Spawn "UMC_Mission1"
   {
      default_weapon="Punch"
      start_weapons="Punch"
   }
   @Spawn "UMC_Mission2"
   {
      default_weapon="Punch"
      start_weapons="Punch"
   }

   @Weapon "Haw-90"
   {
      @Mode "Primary"
      {
         weapon_reload_sound="rocket_reload"
         ammo_count=4
         fire_period=.5
      }
      @Mode "Secondary"
      {
         fire_period=.5
      }
   }

   @Weapon "Grenade"
   {
      mat_map="flashgren02"
      @Mode "Primary"
         {
            weapon_projectile="flashgrenade"
         }
      @Mode "Secondary"
         {
            weapon_projectile="impact_flashgrenade"
         }
         encumbrance=0
   }
   @Armour "Head Armour"
   {
      filename="Models/armor/h_headarm.chr"
   }
   @Armour "Heavy Head Armour"
   {
      filename="Models/armor/h_heavy_headarm.chr"
      add_track_joint="root,Bip01 Head"
   }
   @Armour "Body Armour"
   {
      filename="Models/armor/h_bodyarm.chr"
   }
   @Armour "Left Thigh Armour"
   {
      filename="Models/armor/h_l_Thigharm.chr"
   }
   @Armour "Right Thigh Armour"
   {
      filename="Models/armor/h_r_Thigharm.chr"
   }


   @StaminaRange "Bezerk"{
      max=200
      speed_adj=1.5
      jump_adj=1.5
   }
   @StaminaRange "OnDrugs"{
      max=160
      speed_adj=1.3
      jump_adj=1.3
   }
   @StaminaRange "Rested"{
      max=100
      speed_adj=1.1
      jump_adj=1
   }
   @StaminaRange "Active"{
      max=80
      looping_sound="h_breath1"
      speed_adj=1
      jump_adj=1
   }
   @StaminaRange "Working"{
      max=70
      looping_sound="h_breath2"
      speed_adj=0.9
      jump_adj=0.90
   }
   @StaminaRange "WorkingHard"{
      max=60
      looping_sound="h_breath3"
      speed_adj=0.8
      jump_adj=0.85
   }
   @StaminaRange "Exhausted"{
      max=40
      looping_sound="h_breath4"
      speed_adj=0.7
      jump_adj=0.8
   }
   @StaminaRange "Unconscious"{
      max=0
      looping_sound="Breath5"
      speed_adj=0.5
      jump_adj=0.7
   }
   min_stamina=-10
   passout_anim="passout"
   recover_anim="standup"
   die_if_passedout=0
   @LookTrackJoint "Spine1"
   {
      joint="Bip01 Spine1"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine2"
   {
      joint="Bip01 Spine2"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine3"
   {
      joint="Bip01 Spine3"
      angles="(-90,-30)(90,30)"
   }
   @LookTrackJoint "Neck"
   {
      joint="Bip01 Neck"
      angles="(-90,-20)(90,20)"
   }
   @DamageMap "head"
   {
      add_joint="Bip01 Head"
      default_damage_adj=2
	  add_damage_type_adj="gas,10"
	  //add_damage_type_adj="pierce,7.4"
   }
   @DamageMap "body"
   {
      add_joint="Bip01 Spine3"
      add_joint="Bip01 Spine2"
      add_joint="Bip01 Spine1"
      add_joint="Bip01"
      default_damage_adj=1
	  add_damage_type_adj="gas,0"
   }
   @DamageMap "legs"
   {
      add_joint="Bip01 L Thigh"
      add_joint="Bip01 L Calf"
      add_joint="Bip01 R Calf"
      add_joint="Bip01 R Thigh"
      add_joint="Bip01 R Foot"
      add_joint="Bip01 L Foot"
      default_damage_adj=0.5
	  add_damage_type_adj="gas,0"
   }
   @DamageMap "arms"
   {
      add_joint="Bip01 L UpperArm"
      add_joint="Bip01 L Forearm"
      add_joint="Bip01 R Forearm"
      add_joint="Bip01 R UpperArm"
      default_damage_adj=0.25
	  add_damage_type_adj="gas,0"
	  add_damage_type_adj="explosive,1"
   }
///////////////////////////////////////////DEATH ACTS
   @DeathAct "die_default"
   {
      anim="die_default"
      sound="h_death1"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      twitch_anims="die_default_twitch"
      effect="BloodPoolLauncherEffect"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="h_death2"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_machinegun_twitch"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="h_death3"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_default_twitch"
   }

   @DeathAct "die_crotch"
   {
      anim="die_crotch"
      sound="h_death5"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_crotch_twitch"
   }

   @DeathAct "die_shotgun_front"
   {
      anim="die_shotgun_front"
      sound="h_death4"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_shotgun_front_twitch"
   }
   @DeathAct "die_shotgun_back"
   {
      anim="die_shotgun_back"
      sound="h_death5"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
	   effect="BloodPoolLauncherEffect"
      twitch_anims="die_shotgun_back_twitch"
   }
   @DeathAct "die_explosion_front"
   {
      anim="die_explosion_front"
      sound="h_death6"
      damage_type="explosive"
      effect="BloodPoolLauncherEffect"
      direction="f"
      twitch_anims="die_explosion_front_twitch"
   }
   @DeathAct "die_explosion_back"
   {
      anim="die_explosion_back"
      sound="h_death7"
      damage_type="explosive"
      effect="BloodPoolLauncherEffect"
      direction="b"
      twitch_anims="die_explosion_back_twitch"
   }
   @DeathAct "die_fire1"
   {
      anim="die_fire1"
      sound="h_deathfire1"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
      effect="PlayerFireEffect,Bip01 Spine"
   }

   @DeathAct "die_fire2"
   {
      anim="die_fire1"
      sound="h_deathfire2"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
	   effect="PlayerFireEffect,Bip01 Spine"
   }

   @DeathAct "die_headshot"
   {
      anim="die_headshot"
      sound="h_die_headshot"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Head"
      effect="SpewBrainsEffect,Eyebrow"
      twitch_anims="die_headshot_twitch"
   }

   @DeathAct "die_fall"
   {
      anim="die_fall"
      sound="Fall_Death1"
      damage_type="fall"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_fall_twitch"

   }
///////////////////PAIN ACTS
   @PainAct "pain1"
   {
      anim="pain_front"
      sound="h_pain1a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      effect="SpitBloodEffect2,Jaw"
      duration=.8
   }

   @PainAct "pain2"
   {
      anim="pain_left"
      sound="h_pain1b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

      @PainAct "pain3"
   {
      anim="pain_right"
      sound="h_pain1c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain4"
   {
      anim="pain_back"
      sound="h_pain2a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain5"
   {
      anim="pain_front"
      sound="h_pain2b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain6"
   {
      anim="pain_left"
      sound="h_pain2c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain7"
   {
      anim="pain_right"
      sound="h_pain3a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain8"
   {
      anim="pain_back"
      sound="h_pain3b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain9"
   {
      anim="pain_front"
      sound="h_pain3c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "gas1"
   {
      anim="gas1"
      sound="h_paingas1"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "gas1"
   {
      anim="gas1"
      sound="h_paingas2"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "gas1"
   {
      anim="gas1"
      sound="h_paingas3"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_front"
      sound="h_painfire1"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_right"
      sound="h_painfire2"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_left"
      sound="h_painfire3"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "healing"
   {
      anim="gas1"
      sound="healing_gas"
      damage_type="healing"
      duration=0.5
   }
   @PainAct "Fall"
   {
      anim="Fall0"
      sound="PainFall"
      stamina="0,1"
      damage_type="fall"
   }
   @PainAct "Fall1"
   {
      anim="Fall1"
      sound="h_painfall1"
      stamina="1,40"
      damage_type="fall"
   }

   @PainAct "Fall2"
   {
      anim="Fall2"
      sound="h_painfall2"
      stamina="40,200"
      damage_type="fall"
   }
/////////////////////////////GIBS
   @PlayerGib "StdGibs1"
   {
      damage_type="buckshot|fall|msaw"
      add_effect="hplayer_gib"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }

   @PlayerGib "ExposiveFlamingGibs1"
   {
      damage_type="explosive"
      add_effect="explosive_hplayer_gib"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }

   @PlayerGib "EnergyGibs1"
   {
      damage_type="energy|energy2"
      add_effect="energy_hplayer_gib"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }
}
