@Player "milbot"
{
   weight=500        // Weight in pounds
   team=1
   filename="milbot.chr"
   frag_message=FRAG_MILBOT
   suicide_message=SUICIDE_MILBOT
   bbox_min_x=-24
   bbox_min_y=-24
   bbox_min_z=-36
   bbox_max_x=24
   bbox_max_y=24
   bbox_max_z=36
   lighting_level=2
   encumbrance=1.3
   stamina_recovery_rate=3.5
   run_speed=211//was 215
   walk_speed=100
   jump_speed=270
   jump_sound="milbot_jump"
   jump_stamina=6
   non_damage_fall_vel=250
   min_fall_vel=800
   fall_health_damage=20
   fall_stamina_damage=30
   spawn_sound="Player_Respawn"
   foot_step_sound="k_footstep"
   min_time_for_spawn=2
   max_time_for_spawn=30
   climb_ability=1
   add_effect="PlayerRespawnEffect"
   crouch_speed_adj=0.2
   default_damage_adj=.25 // was .2
   add_damage_type_adj="fire,.1"
   add_damage_type_adj="healing,0"
   add_damage_type_adj="gas,.75"

   weapon_slot="0,Punch"
   weapon_slot="3,Shotgun"
   weapon_slot="4,RiotGun"
   weapon_slot="5,Haw-90"
   weapon_slot="7,Minigun"
   weapon_slot="9,FlameThrower"

   encumbrance_adjust=0.5
   allowable_armour="Head Armour,Heavy Head Armour"
   max_ammo_count="0,0"
   max_ammo_count="1,250"
   max_ammo_count="2,0"
   max_ammo_count="3,250"
   max_ammo_count="4,250"
   max_ammo_count="5,250"
   max_ammo_count="6,250"
   max_ammo_count="7,0"
   max_ammo_count="8,0"
   @Armour "Head Armour"
   {
      filename="Models/armor/mb_headarm.chr"
      add_track_joint="root,Bip01 Spine3"

      expire_effect="ExplodingGlassEffect"
   }
   @Armour "Heavy Head Armour"
   {
      filename="Models/armor/mb_headarm.chr"
      add_track_joint="root,Bip01 Spine3"

      expire_effect="ExplodingGlassEffect"
   }
   @Spawn "default"
   {
      ammo_count="4,16"
      default_weapon="Shotgun"
      start_weapons="Punch,Shotgun"
   }
   @Spawn "tactical"
   {
      ammo_count="1,250"
      ammo_count="3,20"
      default_weapon="Minigun"
      start_weapons="Punch,Haw-90,Minigun"
   }
   @Spawn "assault"
   {
      ammo_count="1,250"
      ammo_count="3,20"
      ammo_count="8,1"
      default_weapon="Minigun"
      start_weapons="Punch,Haw-90,Minigun,Bomb"
   }
   @Spawn "UMC_Mission0"
   {
      ammo_count="0,45"
      default_weapon="Pistol"
      start_weapons="Punch,Pistol"
   }

   @Spawn "UMC_Mission1"
   {
      default_weapon="Punch"
      start_weapons="Punch"
   }
   @Spawn "UMC_Mission2"
   {
      default_weapon="Punch"
      start_weapons="Punch"
   }

   @Weapon "Punch"
   {
      @Mode "Primary"
      {
         weapon_ray_damage=40
         weapon_ray_stamina=5
         weapon_ray_number=4
         weapon_ray_spread=.76
         damage_type="buckshot"
      }
      @Mode "Secondary"
      {
         weapon_ray_damage=5
         weapon_ray_stamina=35
         weapon_ray_number=4
         weapon_ray_spread=.76
         damage_type="buckshot"
      }
   }

   @Weapon "Shotgun"
   {
      filename="models/weapons/mb_minigun.chr"
      track_to_joint="armgun103"
      //add_accessory="k_minigun.chr,bip01 R weapon"
      track_joint="Root"
      encumbrance=.6
      exclusive_modes=1
	  share_ammo=1
      @Mode "Primary"
      {
	 weapon_reload_sound="rocket_reload"
         fire_period=.4
         weapon_ray_spread=0.15
         weapon_ray_damage=8
         weapon_ray_number=10
         weapon_reload_time=3.1
         ammo_count=16
      }
      @Mode "Secondary"
      {
         weapon_reload_sound="rocket_reload"
         ammo_per_shot=1
         defensive_direction=""
         defensive_adj=0
         weapon_type=""
         down_phase_sound=""
         up_phase_sound=""
         active_phase_sound=""
         trigger_down_muzzle_effect=""
         play_mods_on_fired=0
         weapon_type="instant"
         fire_period=.4
         weapon_ammo_index=4
         weapon_ray_length=4096
         weapon_ray_spread=0.15
         weapon_ray_damage=8
         weapon_ray_number=10
         weapon_fire_sound="Shotgun_Fire"
         weapon_fire_empty_sound="Shotgun_Blank"
         weapon_reload_time=3.1
         collision_effect="ShotgunPuff"
         muzzle_effect="Qb_MuzzleFlash"
         weapon_ray_stamina=5
         damage_type="buckshot"
         add_discharge_effect="SpentShotgunEffect,Muzzle"
      }
   }

@Weapon "RiotGun"
{
      filename="models/weapons/mb_minigun.chr"
      track_to_joint="armgun103"
	  track_joint="Root"
   @Mode "Primary"
   {    
      ammo_count=100
      weapon_fire_sound="IngramFire"
      weapon_reload_sound="rocket_reload"
      weapon_reload_time=3.1
   }
   @Mode "Secondary"
   {    
	  launch_joint="Root"
         weapon_reload_time=3.1
   }
}

   @Weapon "FlameThrower"
   {
      filename="models/weapons/mb_minigun.chr"
      track_to_joint="armgun103"
      //add_accessory="k_minigun.chr,bip01 R weapon"
      track_joint="Root"
   @Mode "Primary"
   {
      ammo_count=100
      weapon_reload_sound="rocket_reload"
         weapon_reload_time=3.1
   }
   @Mode "Secondary"
   {
      ammo_count=100
      launch_joint="Root"
      weapon_reload_sound="rocket_reload"
         weapon_reload_time=3.1
   }
   }

   @Weapon "Haw-90"
   {
      filename="models/weapons/mb_minigun.chr"
      track_to_joint="armgun103"
      //add_accessory="k_haw-90.chr,bip01 L weapon"
      track_joint="Root"
      encumbrance=.6
   @Mode "Primary"
   {
      ammo_count=4
      launch_joint="Root"
	  fire_period=0.5
         weapon_reload_time=3.1
   }
   @Mode "Secondary"
   {
      ammo_count=4
      launch_joint="Root"
	  fire_period=0.5
         weapon_reload_time=3.1
   }
   }

   @Weapon "Minigun"
   {
      filename="models/weapons/mb_minigun.chr"
      track_to_joint="armgun103"
      track_joint="Root"
      encumbrance=.6
      @Mode "Primary"
      {
         weapon_reload_sound="rocket_reload"
         weapon_reload_time=3.1
      }
      @Mode "Secondary"
      {
         weapon_reload_sound="rocket_reload"
         weapon_reload_time=3.1
      }
   }


   add_damage_effect="punch,Punch_Hit"
   add_damage_effect="msaw|fall|buckshot|pierce|energy,RicochetSparksEffect"
   add_damage_effect="escrima,Escrima_Wallhit"
   add_damage_effect="energy,SnipergunPlayerImpact"


   @DamageMap "head"
   {
      add_joint="Bip01 Head"
      default_damage_adj=2.5
      add_damage_type_adj="gas,10"
   }
   @DamageMap "body"
   {
      add_joint="Bip01 Spine3"
      add_joint="Bip01 Spine2"
      add_joint="Bip01 Spine1"
      add_joint="Bip01 Spine"
      add_joint="Bip01 R Clavicle"
      add_joint="Bip01 L Clavicle"
      add_joint="Bip01"
      default_damage_adj=1
      add_damage_type_adj="gas,0"
   }
   @DamageMap "legs"
   {
      add_joint="Bip01 L Thigh"
      add_joint="Bip01 L Calf"
      add_joint="Bip01 R Calf"
      add_joint="Bip01 R Thigh"
      add_joint="Bip01 L Foot"
      add_joint="Bip01 R Foot"
      default_damage_adj=0.5
      add_damage_type_adj="gas,0"
   }
   @DamageMap "arms"
   {
      add_joint="Bip01 L UpperArm"
      add_joint="Bip01 L Forearm"
      add_joint="Bip01 R Forearm"
      add_joint="Bip01 R UpperArm"
      default_damage_adj=0.25
      add_damage_type_adj="explosive,1"
      add_damage_type_adj="gas,0"
   }

   @StaminaRange "Bezerk"{
      max=200
      speed_adj=1.5
      jump_adj=1.5
   }
   @StaminaRange "OnDrugs"{
      max=160
      speed_adj=1.3
      jump_adj=1.3
   }
   @StaminaRange "Rested"{
      max=100
      speed_adj=1.1
      jump_adj=1
   }
   @StaminaRange "Active"{
      max=80
      looping_sound="milbot_breath1"
      speed_adj=1
      jump_adj=1
   }
   @StaminaRange "Working"{
      max=70
      looping_sound="milbot_breath2"
      speed_adj=0.9
      jump_adj=1
   }
   @StaminaRange "WorkingHard"{
      max=60
      looping_sound="milbot_breath3"
      speed_adj=0.8
      jump_adj=1
   }
   @StaminaRange "Exhausted"{
      max=40
      looping_sound="milbot_breath4"
      speed_adj=0.7
      jump_adj=1
   }
   @StaminaRange "Unconscious"{
      max=0
      looping_sound="k_breath5"
      speed_adj=0.5
      jump_adj=1
   }
   min_stamina=-10

   @LookTrackJoint "Spine1"
   {
      joint="Bip01 Spine1"
      angles="(-90,-5)(90,5)"
   }
   @LookTrackJoint "Spine2"
   {
      joint="Bip01 Spine2"
      angles="(-90,-20)(90,20)"
   }
   @LookTrackJoint "Spine3"
   {
      joint="Bip01 Spine3"
      angles="(-90,-30)(90,30)"
   }
   @LookTrackJoint "Neck"
   {
      joint="Bip01 Neck"
      angles="(-90,-35)(90,35)"
   }
   min_health=-30

   passout_anim="Passout"
   recover_anim="standup"
   die_if_passedout=0
   ///////////////////////////////////////////DEATH ACTS
   @DeathAct "die_default"
   {
      anim="die_default"
      sound="milbot_death1"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      twitch_anims="die_default_twitch"
      effect="BloodPoolLauncherEffect01"
      twitch_anims="die_default_twitch"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="milbot_death2"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect01"
      twitch_anims="die_default_twitch"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="milbot_death3"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect01"
      twitch_anims="die_default_twitch"
   }
   @DeathAct "die_shotgun_front"
   {
      anim="die_shotgun_front"
      sound="milbot_death4"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect01"
      twitch_anims="die_shotgun_front_twitch"
   }
   @DeathAct "die_shotgun_back"
   {
      anim="die_shotgun_back"
      sound="milbot_death5"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
	   effect="BloodPoolLauncherEffect01"
      twitch_anims="die_shotgun_back_twitch"
   }
   @DeathAct "die_explosion_front"
   {
      anim="die_explosion_front"
      sound="milbot_death6"
      damage_type="explosive"
      effect="BloodPoolLauncherEffect01"
      direction="f"
      twitch_anims="die_explosion_front_twitch"
   }
   @DeathAct "die_explosion_back"
   {
      anim="die_explosion_back"
      sound="milbot_death7"
      damage_type="explosive"
      effect="BloodPoolLauncherEffect01"
      direction="b"
      twitch_anims="die_explosion_back_twitch"
   }
   @DeathAct "die_fire1"
   {
      anim="die_default"
      sound="milbot_deathfire1"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
      effect="PlayerFireEffect,Bip01 Spine"
   }

   @DeathAct "die_headshot"
   {
      anim="die_headshot"
      sound="milbot_die_headshot"
      damage_type="punch|energy|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Head"
      effect="SpewBrainsEffect,eyebrow"
      twitch_anims="die_headshot_twitch"
   }

   @DeathAct "die_fall"
   {
      anim="die_fall"
      sound="milbot_death4"
      damage_type="fall"
      effect="BloodPoolLauncherEffect01"
      twitch_anims="die_fall_twitch"

   }
///////////////////PAIN ACTS
   @PainAct "pain1"
   {
      anim="pain_front"
      sound="milbot_pain1a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      effect="SpitBloodEffect2,Jaw"
      duration=.8
   }

   @PainAct "pain2"
   {
      anim="pain_left"
      sound="milbot_pain1b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain3"
   {
      anim="pain_right"
      sound="milbot_pain1c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain4"
   {
      anim="pain_back"
      sound="milbot_pain2a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain5"
   {
      anim="pain_front"
      sound="milbot_pain2b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain6"
   {
      anim="pain_left"
      sound="milbot_pain2c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain7"
   {
      anim="pain_right"
      sound="milbot_pain3a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain8"
   {
      anim="pain_back"
      sound="milbot_pain3b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain9"
   {
      anim="pain_front"
      sound="milbot_pain3c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "gas1"
   {
      anim="gas1"
      sound="milbot_paingas1"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "gas1"
   {
      anim="gas1"
      sound="milbot_paingas2"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "gas1"
   {
      anim="gas1"
      sound="milbot_paingas3"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_front"
      sound="milbot_painfire1"
      damage_type="fire"
      duration=0.5
   }

   @PainAct "fire2"
   {
      anim="pain_front"
      sound="milbot_painfire2"
      damage_type="fire"
      duration=0.5
   }
      @PainAct "fire3"
   {
      anim="pain_front"
      sound="milbot_painfire3"
      damage_type="fire"
      duration=0.5
   }

   @PainAct "healing"
   {
      anim="gas1"
      sound="healing_gas"
      damage_type="healing"
      duration=0.5
   }
   @PainAct "Fall"
   {
      anim="Fall0"
      sound="PainFall"
      stamina="0,1"
      damage_type="fall"
   }
   @PainAct "Fall1"
   {
      anim="Fall1"
      sound="milbot_painfall1"
      stamina="0,20"
      damage_type="fall"
   }

   @PainAct "Fall2"
   {
      anim="Fall2"
      sound="milbot_painfall2"
      stamina="20,200"
      damage_type="fall"
   }
/////////////////////////////GIBS
   @PlayerGib "StdGibs1"
   {
      damage_type="buckshot|fall|msaw"
      add_effect="milbot_gib"
      add_effect="LargeStandardExplosionOrange"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }

   @PlayerGib "ExposiveFlamingGibs1"
   {
      damage_type="explosive|energy"
      add_effect="explosive_milbot_gib"
      add_effect="LargeStandardExplosionOrange"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }

   @PlayerGib "EnergyGibs1"
   {
      damage_type="energy|energy2"
      add_effect="energy_milbot_gib"
      add_effect="LargeStandardExplosionOrange"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }
}
