@Player "mob_vip"
{
   weight=520  // Weight in pounds
   max_health=100
   team=2
   filename="models\\players\\bartender\\bartender.chr"
   mat_map="vip"
   frag_message=FRAG_MOP_VIP
   suicide_message=SUICIDE_MOB_VIP
   //left_message="%s left the game and went to push pencils"
   bbox_min_x=-21
   bbox_min_y=-21
   bbox_min_z=-36
   bbox_max_x=21
   bbox_max_y=21
   bbox_max_z=33
   lighting_level=3
   encumbrance=1.7
   stamina_recovery_rate=4.0
   run_speed=260
   walk_speed=150
   jump_speed=250
   //twitch_anims="Twitch1,Twitch2,Twitch3"
   non_damage_fall_vel=220
   min_fall_vel=600
   fall_health_damage=15
   fall_stamina_damage=15
   spawn_sound="Player_Respawn"
   min_time_for_spawn=2
   max_time_for_spawn=30
   spawn_hide_time=1
   climb_ability=1
   add_effect="PlayerRespawnEffect"
   crouch_speed_adj=0.3
   add_damage_type_adj="healing,1"
   default_damage_adj=0.45
   add_damage_type_adj="gas,.75"
   add_damage_type_adj="fall,1"
   add_damage_type_adj="punch,.25"

   weapon_slot="0,Punch"
   weapon_slot="2,Pistol"

   default_weapon=2
   encumbrance_adjust=0.5
   max_ammo_count="0,200"

   @Spawn "default"
   {
      default_weapon="Pistol"
      ammo_count="0,225"
      start_weapons="Punch,Pistol"
   }

   @Weapon "Punch"
   {
      add_accessory="beercan,beercan"
      add_accessory="cigar,beercan"
      @Mode "Primary"
      {
         weapon_ray_damage=15
         weapon_ray_stamina=2
         weapon_ray_number=6
         weapon_ray_spread=.7
      }
      @Mode "Secondary"
      {
         weapon_fire_delay=.25
         weapon_ray_damage=5
         weapon_ray_stamina=15
         weapon_ray_number=6
         weapon_ray_spread=.7
      }
   }

   @Weapon "Pistol"
   {
      exclusive_modes=0
      track_to_joint="Bip01 R Gunjoint"
      add_accessory="beercan,beercan"
      add_accessory="cigar,beercan"
      @Mode "Primary"
      {
         weapon_ray_damage=25
         weapon_fire_sound="Revolver_Fire"
      }
      @Mode "Secondary"
      {
         delayed_fire=1
         weapon_fire_delay=.25
         weapon_type="instant"
         fire_period=.15
         weapon_ammo_index=-1
         weapon_ray_length=80
         weapon_ray_spread=.7
         weapon_ray_damage=25
         weapon_ray_number=6
         weapon_ray_stamina=15
         pre_fire_sound="Swish"
         collision_effect="Punch_Wall"
         weapon_ray_stamina=10
         damage_type="punch|small"
      }
   }

   add_damage_effect="punch,Punch_Hit"
   add_damage_effect="thrown_knife,KnifeStickEffect"
   add_damage_effect="knife,Knife_Hit"
   add_damage_effect="msaw,MsawSprayEffect"
   add_damage_effect="buckshot|small|pierce,BloodSplat"
   add_damage_effect="energy,SnipergunPlayerImpact"
   add_damage_effect="escrima,Escrima_Hit"


   @DamageMap "head"
   {
      add_joint="Bip01 Head"
      default_damage_adj=2
      add_damage_type_adj="gas,10"
   }
   @DamageMap "body"
   {
      add_joint="Bip01 Spine3"
      add_joint="Bip01 Spine2"
      add_joint="Bip01 Spine1"
      add_joint="Bip01"
      default_damage_adj=1
      add_damage_type_adj="gas,0"
   }
   @DamageMap "legs"
   {
      add_joint="Bip01 L Thigh"
      add_joint="Bip01 L Calf"
      add_joint="Bip01 R Calf"
      add_joint="Bip01 R Thigh"
      add_joint="Bip01 R Foot"
      add_joint="Bip01 L Foot"
      default_damage_adj=0.5
      add_damage_type_adj="gas,0"
   }
   @DamageMap "arms"
   {
      add_joint="Bip01 L UpperArm"
      add_joint="Bip01 L Forearm"
      add_joint="Bip01 R Forearm"
      add_joint="Bip01 R UpperArm"
      default_damage_adj=0.25
      add_damage_type_adj="gas,0"
      add_damage_type_adj="explosive,1"
   }

   @StaminaRange "Bezerk"{
      max=200
      speed_adj=1.5
      jump_adj=1.5
   }
   @StaminaRange "OnDrugs"{
      max=160
      speed_adj=1.3
      jump_adj=1.3
   }
   @StaminaRange "Rested"{
      max=100
      speed_adj=1.1
      jump_adj=1
   }
   @StaminaRange "Active"{
      max=80
      looping_sound="B_Breath1"
      speed_adj=1
      jump_adj=0.95
   }
   @StaminaRange "Working"{
      max=70
      looping_sound="B_Breath2"
      speed_adj=0.9
      jump_adj=0.90
   }
   @StaminaRange "WorkingHard"{
      max=60
      looping_sound="B_Breath3"
      speed_adj=0.8
      jump_adj=0.85
   }
   @StaminaRange "Exhausted"{
      max=40
      looping_sound="B_Breath4"
      speed_adj=0.7
      jump_adj=0.8
   }
   @StaminaRange "Unconscious"{
      max=0
      looping_sound="Breath5"
      speed_adj=0.5
      jump_adj=0.7
   }
   min_stamina=-10

   @LookTrackJoint "Spine1"
   {
      joint="Bip01 Spine1"
      angles="(-90,-25)(90,25)"
   }
   @LookTrackJoint "Spine2"
   {
      joint="Bip01 Spine2"
      angles="(-90,-25)(90,25)"
   }
   @LookTrackJoint "Spine3"
   {
      joint="Bip01 Spine3"
      angles="(-90,-10)(90,10)"
   }
   @LookTrackJoint "Neck"
   {
      joint="Bip01 Neck"
      angles="(-90,-30)(90,30)"
   }
   jump_sound="B_Jump"
   jump_stamina=6
   min_health=-30

   passout_anim="Passout"
   recover_anim="standup"
   die_if_passedout=1
///////////////////////////////////////////DEATH ACTS
   @DeathAct "die_default"
   {
      anim="die_default"
      sound="b_death1"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      twitch_anims="die_default_twitch"
      effect="BloodPoolLauncherEffect"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="b_death2"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_machinegun_twitch"
   }

   @DeathAct "die_machinegun"
   {
      anim="die_default"
      sound="b_death3"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_default_twitch"
   }

   @DeathAct "die_crotch"
   {
      anim="die_crotch"
      sound="b_death2"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_crotch_twitch"
   }

   @DeathAct "die_shotgun_front"
   {
      anim="die_shotgun_front"
      sound="b_death4"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_shotgun_front_twitch"
   }
   @DeathAct "die_shotgun_back"
   {
      anim="die_shotgun_back"
      sound="b_death5"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Spine1,Bip01 Spine2,Bip01 Spine3,Bip01 L Thigh,Bip01 L Calf,Bip01 R Thigh,Bip01 R Calf,Bip01 L UpperArm,Bip01 L Forearm,Bip01 R UpperArm,Bip01 R Forearm,Bip01 L Foot,Bip01 R Foot"
	   effect="BloodPoolLauncherEffect"
      twitch_anims="die_shotgun_back_twitch"
   }
   @DeathAct "die_explosion_front"
   {
      anim="die_explosion_front"
      sound="b_death6"
      damage_type="explosive"
      effect="BloodPoolLauncherEffect"
      direction="f"
      twitch_anims="die_explosion_front_twitch"
   }
   @DeathAct "die_explosion_back"
   {
      anim="die_explosion_back"
      sound="b_death7"
      damage_type="explosive"
      effect="BloodPoolLauncherEffect"
      direction="b"
      twitch_anims="die_explosion_back_twitch"
   }
   @DeathAct "die_fire1"
   {
      anim="die_fire1"
      sound="b_deathfire1"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
      effect="PlayerFireEffect,Bip01 Spine"
   }

   @DeathAct "die_fire2"
   {
      anim="die_fire1"
      sound="b_deathfire2"
      damage_type="fire"
      twitch_anims="die_fire1_twitch"
	   effect="PlayerFireEffect,Bip01 Spine"
   }

   @DeathAct "die_headshot"
   {
      anim="die_headshot"
      sound="b_die_headshot"
      damage_type="punch|energy|energy2|buckshot|knife|thrown_knife|pierce|escrima"
      joints="Bip01 Head"
      effect="SpewBrainsEffect,Eyebrow"
      twitch_anims="die_headshot_twitch"
   }

   @DeathAct "die_fall"
   {
      anim="die_fall"
      sound="Fall_Death1"
      damage_type="fall"
      effect="BloodPoolLauncherEffect"
      twitch_anims="die_fall_twitch"

   }
///////////////////PAIN ACTS
   @PainAct "pain1"
   {
      anim="pain_front"
      sound="b_pain1a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      effect="SpitBloodEffect2,Jaw"
      duration=.8
   }

   @PainAct "pain2"
   {
      anim="pain_left"
      sound="b_pain1b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

      @PainAct "pain3"
   {
      anim="pain_right"
      sound="b_pain1c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=.8
   }

   @PainAct "pain4"
   {
      anim="pain_back"
      sound="b_pain2a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain5"
   {
      anim="pain_front"
      sound="b_pain2b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain6"
   {
      anim="pain_left"
      sound="b_pain2c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain7"
   {
      anim="pain_right"
      sound="b_pain3a"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain8"
   {
      anim="pain_back"
      sound="b_pain3b"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "pain9"
   {
      anim="pain_front"
      sound="b_pain3c"
      damage_type="pierce|punch|energy|energy2|explosive|buckshot|knife|escrima|msaw"
      duration=0.8
   }

   @PainAct "gas1"
   {
      anim="gas1"
      sound="b_paingas1"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "gas1"
   {
      anim="gas1"
      sound="b_paingas2"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "gas1"
   {
      anim="gas1"
      sound="b_paingas3"
      damage_type="gas"
      effect="SpitBloodEffect2,Jaw"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_front"
      sound="b_painfire1"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_right"
      sound="b_painfire2"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "fire1"
   {
      anim="pain_left"
      sound="b_painfire3"
      damage_type="fire"
      duration=0.5
   }
   @PainAct "healing"
   {
      anim="gas1"
      sound="healing_gas"
      damage_type="healing"
      duration=0.5
   }
   @PainAct "Fall"
   {
      anim="Fall0"
      sound="PainFall"
      stamina="0,1"
      damage_type="fall"
   }
   @PainAct "Fall1"
   {
      anim="Fall1"
      sound="b_painfall1"
      stamina="1,40"
      damage_type="fall"
   }

   @PainAct "Fall2"
   {
      anim="Fall2"
      sound="b_painfall2"
      stamina="40,200"
      damage_type="fall"
   }
/////////////////////////////GIBS
   @PlayerGib "StdGibs1"
   {
      damage_type="buckshot|fall|msaw"
      add_effect="bartender_gib"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }

   @PlayerGib "ExposiveFlamingGibs1"
   {
      damage_type="explosive"
      add_effect="explosive_bartender_gib"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }

   @PlayerGib "EnergyGibs1"
   {
      damage_type="energy|energy2"
      add_effect="energy_bartender_gib"
      add_effect="ExplodingBloodDebris"
      add_effect="ExplosionBloodEffect"
   }
}
