@Weapon "AI_Pistol"
{
   inherit(Pistol)
   @Mode "Primary"
   {
      fire_period=0.2
      weapon_auto_fire=1
      ai_max_range=1000
      ai_burst_time=0.7
   }
}

@Weapon "AI_escrimasticks"
{
   inherit(escrimasticks)
   @Mode "Primary"
   {
      fire_period=0.2
      weapon_auto_fire=1
      weapon_ray_damage=10
      weapon_ray_stamina=20
      ai_max_range=96
   }
   @Mode "Secondary"
   {
      fire_period=0.3
      weapon_auto_fire=1
      weapon_ray_damage=10
      weapon_ray_stamina=20
      ai_max_range=96
   }
}

@Weapon "AI_Assassin_Rifle"
{
   inherit(Assassin_Rifle)
   @Mode "Primary"
   {
      fire_period=0.5
      weapon_auto_fire=1
      weapon_ray_damage=70
      weapon_ray_stamina=100
      ai_min_range=0
      ai_max_range=2000
   }
   @Mode "Secondary"
   {
      fire_period=0.5
      weapon_auto_fire=1
      weapon_ray_damage=80
      weapon_ray_stamina=100
      ai_min_range=0
      ai_max_range=1000
   }
}

@Weapon "AI_SniperGun"
{
   inherit(SniperGun)
   @Mode "Primary"
   {
      fire_period=0.5
      weapon_auto_fire=1
      chargeup_time=0
      fire_on_release=0
      weapon_ray_damage=70
      weapon_ray_stamina=100
      ai_min_range=256
      ai_max_range=2000
   }
}

@Weapon "AI_Quadbarrel"
{
   inherit(Quadbarrel)

   @Mode "Primary"
   {
      weapon_auto_fire=1
	   auto_reload=1
      fire_period=0.5
      weapon_ray_damage=16
      weapon_ray_stamina=0
      weapon_ray_number=16
      ammo_per_shot=4
      weapon_fire_sound="Quadbarrel_Fire2"
      ai_max_range=350
   }
   @Mode "Secondary"
   {
      weapon_auto_fire=1
      auto_reload=1
      weapon_ray_damage=16
      weapon_ray_stamina=0
      weapon_ray_number=16
      ai_max_range=400
   }
}

@Weapon "AI_FlameThrower"
{
   inherit("FlameThrower")
   exclusive_modes=0
   @Mode "Primary"
   {
      ai_min_range=96
      ai_max_range=350
      ai_burst_time=3
   }
   @Mode "Secondary"
   {
      //auto_reload=1
      weapon_ammo_index=5
      weapon_reload_sound="F_Thrower_Reload"
      ammo_count=250
      weapon_type="projectile"
      weapon_projectile="flamethrower_projectile"
      weapon_projectile_velocity=400
      fire_period=0.05
      track_flesh_impact=1
      ammo_per_shot=1
      weapon_fire_empty_sound="GrenadeBlank"
      idle_phase_sound="F_Thrower_IP"
      down_phase_sound="F_Thrower_DP"
      active_phase_sound="F_Thrower_AP"
      up_phase_sound="F_Thrower_UP"
      trigger_down_muzzle_effect="FlamethrowerEffect"
      weapon_ray_stamina=0
      damage_type="fire"
      idle_muzzle_effect="PilotFlameEffect"
      play_mods_on_active=1
      launch_joint="Handle"
      ai_min_range=96
      ai_max_range=350
      ai_burst_time=3
   }
}

@Weapon "OptikGun"
{
   filename="models/weapons/optikgun.chr"
   lighting_level=0
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   //holster_sound="Holster"
   //unholster_sound="Unholster"
   //share_ammo=1
   @Mode "Primary"
   {
      //auto_reload=1
      weapon_reload_sound="rocket_reload"
//      ammo_count=4
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=-1
      weapon_projectile="rocket"
      weapon_projectile_velocity=800
      weapon_fire_sound="Rocket_Fire"
      weapon_fire_empty_sound="Rocket_Blank"
      launch_joint="Muzzle"
      muzzle_effect="Qb_MuzzleFlash"
      ai_min_range=400
      ai_max_range=1200
   }
   @Mode "Secondary"
   {
      weapon_reload_sound="rocket_reload"
      weapon_type="projectile"
      fire_period=0.1
      weapon_ammo_index=-1
      weapon_projectile="haw_grenade"
      weapon_projectile_velocity=800
      weapon_fire_sound="GrenadeFire"
      weapon_fire_empty_sound="Rocket_Blank"
      launch_joint="Muzzle"
      muzzle_effect="Qb_MuzzleFlash"
      ai_min_range=300
      ai_max_range=800
   }
   encumbrance=0
}

@Weapon "OptikFlameGun"
{
   filename="models/weapons/mouth_flame.chr"
   lighting_level=0
   track_to_joint="jaw"
   track_joint="Root"
   exclusive_modes=1
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   @Mode "Primary"
   {
      weapon_ammo_index=-1
      ammo_count=250
      weapon_type="projectile"
      weapon_projectile="flamethrower_projectile"
      weapon_projectile_velocity=400
      fire_period=0.05
      launch_joint="flame"
      muzzle_joint="flame"
      ammo_per_shot=0
      down_phase_sound="op_flames_dp"
      active_phase_sound="op_flames_ap"
      up_phase_sound="op_flames_up"
      trigger_down_muzzle_effect="FlamethrowerEffect"
      weapon_ray_stamina=0
      damage_type="fire"
      ai_min_range=0
      ai_max_range=500
      ai_burst_time=2
   }
   @Mode "Secondary"
   {
      ammo_per_shot=0
      ammo_count=250
      weapon_type="projectile"
      fire_period=0.5
      weapon_ammo_index=-1
      weapon_projectile="flaming_grenade"
      weapon_projectile_velocity=1200
      muzzle_effect="MuzzleSmokePuffLauncher"
      //auto_reload=1
      launch_joint="flame"
      muzzle_joint="flame"
      ai_min_range=256
      ai_max_range=1000
   }
   encumbrance=0
}
