@Weapon "Punch"
{
   @Mode "Primary"

   {
      delayed_fire=1
      weapon_fire_delay=.1
      weapon_type="instant"
      fire_period=.2
      weapon_ammo_index=-1
      weapon_ray_damage=20
      weapon_ray_stamina=10
      attempts_per_ray=2
      weapon_ray_spread=.4
      weapon_ray_length=80
      weapon_ray_number=2
      pre_fire_sound="Swish"
      collision_effect="Punch_Wall"
      weapon_ray_stamina=20
      damage_type="punch"
      ai_max_range=80
   }

   @Mode "Secondary"
   {
      delayed_fire=1
      weapon_fire_delay=.1
      weapon_type="instant"
      fire_period=.2
      weapon_ammo_index=-1
      weapon_fire_delay=.25
      weapon_ray_damage=10
      weapon_ray_stamina=20
      weapon_ray_number=2
      attempts_per_ray=2
      weapon_ray_spread=.4
      weapon_ray_length=80
      pre_fire_sound="Swish"
      collision_effect="Punch_Wall"
      damage_type="punch"
      ai_max_range=80
   }
   encumbrance=0
}


@Weapon "Msaw"
{
   filename="models/weapons/msaw.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   @Mode "Primary"
   {
      orient_effect_to_aim=1
      weapon_type="instant"
      fire_period=0.1
      weapon_ammo_index=-1
      weapon_ray_length=96
	  weapon_ray_number=2
	  attempts_per_ray=4
      weapon_ray_spread=0
      weapon_ray_damage=25
      weapon_ray_stamina=35
      idle_phase_sound="W_CS_IP"
      down_phase_sound="W_CS_DP"
      active_phase_sound="W_CS_AP"
      up_phase_sound="W_CS_UP"
      weapon_fire_empty_sound="Pistol_Blank"
      collision_effect="MsawSparkEffect"
      damage_type="msaw|pierce"
      play_mods_on_active=1
      ai_max_range=96
      ai_burst_time=2
   }


   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   pickup_bob=1
   pickup_spin=1
   hit_points=20
   give_ammo_type=4
   give_ammo_count=6
   give_ammo_type2=2
   give_ammo_count2=2
   give_weapon="Msaw"
   give_ammo_type=5
   give_ammo_count=30
   sound_pickup="WeaponPickup"
   expire_explosion="MSawExplosion"
}

@Weapon "Pistol"
{
   filename="models/weapons/pistol.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   @Mode "Primary"
   {
      weapon_reload_sound="Pistol_Reload_Sound"
      ammo_count=15
      weapon_type="instant"
      fire_period=0.1
      weapon_ammo_index=0
      weapon_ray_length=4096
      weapon_ray_spread=0
      weapon_ray_damage=20
      weapon_auto_fire=0
      weapon_fire_sound="Pistol_Fire"
      weapon_fire_empty_sound="Pistol_Blank"
      weapon_reload_time=1.85
      muzzle_effect="Pistol_MuzzleFlash"
      collision_effect="Pistol_Puff"
      weapon_ray_stamina=10
      add_discharge_effect="SpentPistolEffect,Barrel"
      damage_type="pierce"
      //launch_joint="Muzzle"
   }

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   pickup_spin=1
   pickup_bob=1
   give_weapon="Pistol"
   give_ammo_type=0
   give_ammo_count=25
   sound_pickup="WeaponPickup"
   hit_points=20
   expire_explosion="OrangeItemExplosion"
}

@Weapon "Shotgun"
{
   filename="models/weapons/shotgun.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="Holster"
   unholster_sound="Unholster"

   add_def_damage_effect="energy|buckshot|pierce,SheildImpact"
   @Mode "Primary"
   {
      weapon_reload_sound="shotgun_reload"
      ammo_count=8
      weapon_type="instant"
      fire_period=.8
      weapon_ammo_index=4
      weapon_ray_length=4096
      weapon_ray_spread=0.1
      weapon_ray_damage=10
      weapon_ray_number=10
      weapon_fire_sound="Shotgun_Fire"
      weapon_fire_empty_sound="Shotgun_Blank"
      weapon_reload_time=1.4
      collision_effect="ShotgunPuff"
      muzzle_effect="Qb_MuzzleFlash"
      weapon_ray_stamina=4
      damage_type="buckshot"
      add_discharge_effect="SpentShotgunEffect,Muzzle"
      ai_max_range=500
   }

   @Mode "Secondary"
      {
         ammo_per_shot=1
         weapon_ammo_index=2
         defensive_direction="f"
         defensive_adj=0
         weapon_type="defensive"
         fire_period=1
         down_phase_sound="W_ShotGunShield_DP"
         up_phase_sound="W_ShotGunShield_UP"
         active_phase_sound="W_ShotGunShield_AP"
         trigger_down_muzzle_effect="ShotgunShield"
         play_mods_on_fired=0
      }

   encumbrance=0.2

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   pickup_spin=1
   pickup_bob=1
   give_weapon="Shotgun"
   give_ammo_type=4
   give_ammo_count=6
   give_ammo_type2=2
   give_ammo_count2=2
   sound_pickup="WeaponPickup"
   hit_points=20
   expire_explosion="ShotgunExplosion"
}

@Weapon "RiotGun"
{
   filename="models/weapons/riotgun.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="Holster"
   unholster_sound="Unholster"
   @Mode "Primary"
   {
      weapon_reload_sound="Riotgun_Reload_Sound"
      ammo_count=50
      weapon_type="instant"
      fire_period=.1
      weapon_ammo_index=6
      weapon_ray_length=4096
      weapon_ray_spread=0.035
      weapon_ray_damage=15
      weapon_ray_number=1
      weapon_fire_sound="MGunFire1"
      weapon_fire_empty_sound="GrenadeBlank"
      weapon_reload_time=1.9
      collision_effect="Pistol_Puff"
      muzzle_effect="Riot_MuzzleFlash"

      weapon_ray_stamina=8
      add_discharge_effect="SpentPistolEffect,clip2"
      damage_type="pierce"
      ai_min_range=128
      ai_max_range=1000
      ai_burst_time=1
   }
   @Mode "Secondary"
   {
      weapon_type="projectile"
      fire_period=.85
      weapon_ammo_index=7
      weapon_projectile="riot_grenade"
      weapon_projectile_velocity=800
      weapon_fire_sound="GrenadeFire"
      weapon_fire_empty_sound="GrenadeBlank"
      muzzle_effect="MuzzleSmokePuffLauncher"
      launch_joint="pump"
      ai_min_range=192
      ai_max_range=500
   }
   encumbrance=0.15

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   pickup_spin=1
   pickup_bob=1
   give_weapon="RiotGun"
   give_ammo_type=6
   give_ammo_count=25
   give_ammo_type2=7
   give_ammo_count2=2
   sound_pickup="WeaponPickup"
   hit_points=20
   expire_explosion="RiotgunExplosion"
}

@Weapon "Haw-90"
{
   filename="models/weapons/haw90.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   @Mode "Primary"
   {
      //auto_reload=1
      weapon_reload_sound="rocket_reload"
      ammo_count=4
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=3
      weapon_projectile="rocket"
      weapon_projectile_velocity=1100
      weapon_fire_sound="Rocket_Fire"
      weapon_fire_empty_sound="Rocket_Blank"
      weapon_reload_time=2.9
      launch_joint="sight"
      ai_min_range=256
      ai_max_range=1200
   }
   @Mode "Secondary"
   {
      weapon_reload_sound="rocket_reload"
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=3
      weapon_projectile="haw_grenade"
      weapon_projectile_velocity=800
      weapon_fire_sound="GrenadeFire"
      weapon_fire_empty_sound="Rocket_Blank"
      weapon_reload_time=2.9
      launch_joint="sight"
      ai_min_range=256
      ai_max_range=600
   }
   encumbrance=.7

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   give_weapon="Haw-90"
   give_ammo_type=3
   give_ammo_count=4
   sound_pickup="WeaponPickup"
   pickup_spin=1
   pickup_bob=1
   hit_points=20
   expire_explosion="Haw90Explosion"
}

@Weapon "Quadbarrel"
{
   filename="models/weapons/quadbarrel.chr"
   encumbrance=0.3
   track_joint="Handle"
   track_to_joint="Bip01 R Gunjoint"
   lighting_level=3
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   @Mode "Primary"
   {
   weapon_auto_fire=0
      //auto_reload=0
      fire_period=0.1
      weapon_ammo_index=4
      weapon_type="instant"
      weapon_ray_length=4096
      weapon_ray_spread=0.2
      weapon_ray_damage=10
      weapon_ray_stamina=6
      weapon_ray_number=10
      attempts_per_ray=2
      weapon_fire_sound="Quadbarrel_Fire"
      weapon_fire_empty_sound="Shotgun_Blank"
      weapon_reload_time=2.3
      ammo_per_shot=1
      ammo_count=4
      weapon_reload_sound="Quadbarrel_Reload_Sound"
      collision_effect="ShotgunPuff"
      muzzle_effect="Qb_MuzzleFlash"
      damage_type="buckshot"
   }
   @Mode "Secondary"
   {
	  //auto_reload=1
      fire_period=0.5
      weapon_ammo_index=4
      weapon_type="instant"
      weapon_ray_length=4096
      weapon_ray_spread=0.2
      weapon_ray_damage=20
      weapon_ray_stamina=8
      weapon_ray_number=16
      attempts_per_ray=2
      weapon_fire_sound="Quadbarrel_Fire2"
      weapon_fire_empty_sound="Shotgun_Blank"
      weapon_reload_time=2.3
      ammo_per_shot=4
      weapon_reload_sound="Quadbarrel_Reload_Sound"
      collision_effect="ShotgunPuff"
      muzzle_effect="Qb_MuzzleFlash"
      damage_type="buckshot"
   }

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   give_weapon="Quadbarrel"
   give_ammo_type=4
   give_ammo_count=8
   sound_pickup="WeaponPickup"
   pickup_spin=1
   pickup_bob=1
   hit_points=20
   expire_explosion="QuadBarrelExplosion"
}

@Weapon "Minigun"
{
   exclusive_modes=1
   filename="models/weapons/Minigun.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   @Mode "Primary"
   {
      ammo_per_shot=1
      weapon_reload_sound="minigun_reload"
      ammo_count=125
      weapon_type="instant"
      fire_period=.1
      weapon_ammo_index=1
      weapon_ray_length=4096
      weapon_ray_spread=0.09
      weapon_ray_damage=25//25
      weapon_ray_stamina=8
      weapon_ray_number=1
      attempts_per_ray=1
      down_phase_sound="W_Mini_DP"
      active_phase_sound="W_Mini_AP"
      up_phase_sound="W_Mini_UP"
      weapon_fire_empty_sound="Pistol_Blank"
      weapon_reload_time=1.9
      trigger_down_muzzle_effect="Mini_MuzzleFlash"
      collision_effect="Minigun_Effect"
      damage_type="pierce"
      add_discharge_effect="SpentShellEffect,cog1"
      play_mods_on_active=1
      ai_max_range=1200
      ai_burst_time=1
   }
   @Mode "Secondary"
   {
      ammo_per_shot=2
      weapon_reload_sound="minigun_reload"
      weapon_type="instant"
      fire_period=.1
      weapon_ammo_index=1
      weapon_ray_length=4096
      weapon_ray_spread=0.15
      weapon_ray_damage=25//12
      weapon_ray_stamina=4
      weapon_ray_number=2
      attempts_per_ray=1
      down_phase_sound="W_Mini_DP2"
      active_phase_sound="W_Mini_AP2"
      up_phase_sound="W_Mini_UP"
      weapon_fire_empty_sound="Pistol_Blank"
      weapon_reload_time=1.9
      trigger_down_muzzle_effect="Mini_MuzzleFlash"
      collision_effect="Minigun_Effect"
      damage_type="pierce"
      add_discharge_effect="SpentShellEffect,cog1"
      add_discharge_effect="SpentShellEffect,cog1"
      play_mods_on_active=1
      ai_max_range=800
   }
   encumbrance=.7

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   give_weapon="Minigun"
   give_ammo_type=1
   give_ammo_count=40
   pickup_spin=1
   pickup_bob=1
   sound_pickup="WeaponPickup"
   hit_points=20
   expire_explosion="MinigunExplosion"
}

@Weapon "SniperGun"
{
   filename="models/weapons/snipergun.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   zoom_mag=8.0
   zoom_mode=FIXED
   zoom_overlay="sniper2_page"
   @Mode "Primary"
   {
      //auto_reload=1
      weapon_reload_sound="Snipergun_Reload"
      ammo_per_shot=1
      ammo_count=5
      weapon_type="instant"
      fire_period=.5
      fire_on_release=1
      chargeup_time=2
      weapon_ammo_index=2
      weapon_ray_length=4096
      weapon_ray_spread=0.0
      weapon_ray_damage=50
      weapon_ray_damage2=150
      weapon_ray_number=1
      weapon_fire_sound="SniperGun_Fire"
      idle_phase_sound="SniperGun_Idle"
      down_phase_sound="SniperGun_DP"
      active_phase_sound="SniperGun_AP"
      weapon_fire_empty_sound="SniperBlank"
      weapon_reload_time=2.0
      weapon_ray_stamina=25
      weapon_ray_stamina2=100
      collision_effect="SnipergunPuff"
      damage_type="energy"
      muzzle_effect="snipergun_muzzle_flash"
   }
   @Mode "Secondary"
   {
      weapon_reload_sound="Snipergun_Reload"
      weapon_fire_sound="SniperGun_Fire2"
      weapon_type="projectile"
      fire_period=0.2
      weapon_ammo_index=2
      weapon_projectile="energy_torpedo_projectile"
      weapon_projectile_velocity=1800
      weapon_fire_empty_sound="SniperBlank"
      weapon_reload_time=2.0
      muzzle_effect="snipergun_muzzle_flash"
      launch_joint="Handle"
   }
   encumbrance=.4

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   give_weapon="SniperGun"
   give_ammo_type=2
   give_ammo_count=5
   sound_pickup="WeaponPickup"
   pickup_spin=1
   pickup_bob=1
   hit_points=20
   expire_explosion="SnipergunExplosion"
}

@Weapon "FlameThrower"
{
   filename="models/weapons/flamethrower.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1

   @Mode "Primary"
   {
      //auto_reload=1
      weapon_ammo_index=5
      weapon_reload_sound="F_Thrower_Reload"
      ammo_count=50
      weapon_type="projectile"
      weapon_projectile="flamethrower_projectile"
      weapon_projectile_velocity=400
      fire_period=0.05
      //weapon_ammo_index=5
      //weapon_ray_length=384
      //weapon_ray_spread=0.1
      //weapon_ray_damage=5
      //weapon_ray_number=1
      track_flesh_impact=1
      ammo_per_shot=1
      weapon_fire_empty_sound="GrenadeBlank"
      idle_phase_sound="F_Thrower_IP"
      down_phase_sound="F_Thrower_DP"
      active_phase_sound="F_Thrower_AP"
      up_phase_sound="F_Thrower_UP"
      //damage_volume="FlameThrowerSpotFireVolume"
      trigger_down_muzzle_effect="FlamethrowerEffect"
      weapon_ray_stamina=0
      damage_type="fire"
      //tracked_damage="Burning"
      weapon_reload_time=2.3
      idle_muzzle_effect="PilotFlameEffect"
      play_mods_on_active=1
      launch_joint="Handle"
   }
   @Mode "Secondary"
   {
      ammo_per_shot=10
      weapon_type="projectile"
      fire_period=1.0
      weapon_ammo_index=5
      weapon_projectile="flaming_grenade"
      chargeup_time=2
      weapon_projectile_velocity=600
      weapon_projectile_velocity2=1200
      fire_on_release=1
      down_phase_sound="F_Thrower_2DP"
      active_phase_sound="F_Thrower_2AP"
      up_phase_sound="F_Thrower_2UP"
      weapon_fire_empty_sound="GrenadeBlank"
      muzzle_effect="MuzzleSmokePuffLauncher"
      //auto_reload=1
      weapon_reload_sound="F_Thrower_Reload"
      weapon_reload_time=2.3
      launch_joint="Handle"
   }
   encumbrance=0.6

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   give_weapon="FlameThrower"
   give_ammo_type=5
   give_ammo_count=12
   sound_pickup="WeaponPickup"
   pickup_spin=1
   pickup_bob=1
   hit_points=20
   expire_explosion="FlamethrowerExplosion"
   track_options="fwd_vel"
}

   @Weapon "Knife"
   {
      filename="models/weapons/knife.chr"
      lighting_level=2
      track_to_joint="Bip01 R Gunjoint"
      track_joint="Handle"
      @Mode "Primary"
      {

      delayed_fire=1
      weapon_fire_delay=.1
      weapon_type="instant"
      fire_period=.25
      weapon_ammo_index=-1
      weapon_ray_length=112
      weapon_ray_spread=0.1
      weapon_ray_damage=35
      weapon_ray_number=4
	  attempts_per_ray=4
      pre_fire_sound="knife_swipe"
      collision_effect="Knife_Wallhit"
      flesh_impact_effect="Knife_Hit"
      weapon_ray_stamina=25
      damage_type="knife"
      ai_max_range=96
      }
      @Mode "Secondary"
   {
      //auto_reload=1
      //weapon_reload_sound="rocket_reload"
      //ammo_count=4
      weapon_fire_delay=.23
      weapon_type="projectile"
      fire_period=0.5
      weapon_ammo_index=-1
      weapon_projectile="knife"
      weapon_projectile_velocity=1200
      weapon_fire_sound="knife_throw"
      ai_max_range=500
       }
   }

@Weapon "Assassin_Rifle"
{
   filename="models/weapons/assassin_rifle.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   zoom_mag=12.0
   zoom_mode=FIXED
   zoom_overlay="sniper1_page"
   @Mode "Primary"
   {
      //auto_reload=1
      weapon_reload_sound="Assassin_Reload"
      ammo_per_shot=1
      ammo_count=15
      weapon_type="instant"
      fire_period=.5
      weapon_ammo_index=2
      weapon_ray_length=4096
      weapon_ray_spread=0.005
      attempts_per_ray=3
      weapon_ray_damage=100
      weapon_fire_sound="Assassin_Fire"
      weapon_fire_empty_sound="SniperBlank"
      weapon_ray_stamina=70
      weapon_reload_time=2.87
      collision_effect="Pistol_Puff"
      damage_type="pierce"
      muzzle_effect="MuzzleSmokePuffLauncher"
   }
   @Mode "Secondary"
   {
      //auto_reload=1
      weapon_reload_sound="Assassin_Reload"
      ammo_per_shot=1
      //ammo_count=10
      weapon_type="instant"
      fire_period=0.15
      weapon_ammo_index=2
      weapon_ray_length=3096
      weapon_ray_spread=0.030
      attempts_per_ray=2
      weapon_ray_damage=50
      weapon_fire_sound="Assassin_Fire"
      weapon_fire_empty_sound="SniperBlank"
      weapon_ray_stamina=20
      weapon_reload_time=2.87
      collision_effect="Pistol_Puff"
      damage_type="pierce"
      muzzle_effect="MuzzleSmokePuffLauncher"
   }
   encumbrance=.4

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   give_weapon="SniperGun"
   give_ammo_type=2
   give_ammo_count=5
   sound_pickup="WeaponPickup"
   pickup_spin=1
   pickup_bob=1
   hit_points=20
   expire_explosion="SnipergunExplosion"
}

@Weapon "C4"
{
   filename="models/weapons/c4.chr"
   lighting_level=3
   track_to_joint="Bip01 L Hand"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   add_accessory="c4detonator,Bip01 R Hand"
   @Mode "Primary"
   {
      weapon_type="projectile"
      fire_period=0.45
      weapon_ammo_index=7
      weapon_projectile="C4_projectile"
      weapon_projectile_velocity=350
      weapon_fire_sound="knife_swipe"
   }
   @Mode "Secondary"
   {
      //auto_reload=1
      weapon_type="detonator"
      fire_period=0.4
      exclusive_modes=1
      weapon_ammo_index=-1
      weapon_fire_sound="C4_Detonate"
      weapon_fire_empty_sound="C4_Blank"
   }
   encumbrance=.5
}

@Weapon "escrimasticks"
{
   filename="models/weapons/r_stick.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   //track_joint="Handle"
   add_accessory="l_stick,Bip01 L Hand"
   holster_sound="Holster"
   unholster_sound="Unholster"
   exclusive_modes=0
   @Mode "Primary"
   {

      weapon_type="instant"
      fire_period=0.1
      weapon_ammo_index=-1
      ammo_per_shot=0
      weapon_ray_length=80
      weapon_ray_spread=0.2
      weapon_ray_number=1
      attempts_per_ray=4
      weapon_ray_damage=20
      weapon_ray_stamina=12
      weapon_auto_fire=0
      weapon_fire_sound="Swish"
      collision_effect="Escrima_Wallhit"
      damage_type="escrima"
   }

   @Mode "Secondary"
   {

      weapon_type="instant"
      fire_period=0.01
      weapon_ammo_index=-1
      ammo_per_shot=0
      weapon_ray_length=80
      weapon_ray_spread=0.2
      weapon_ray_number=1
      attempts_per_ray=4
      weapon_ray_damage=20
      weapon_ray_stamina=12
      weapon_auto_fire=0
      weapon_fire_sound="Swish"
      collision_effect="Escrima_Wallhit"
      damage_type="escrima"



   }
}

@Weapon "Ingram"
{
   filename="models/weapons/ingram.chr"
   lighting_level=3
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   exclusive_modes=0
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   @Mode "Primary"
   {
      weapon_reload_sound="Ingram_Reload"

      ammo_count=60
      weapon_type="instant"
      fire_period=.08
      weapon_ammo_index=6
      weapon_ray_length=4096
      weapon_ray_spread=0.015
      weapon_ray_damage=14
      weapon_ray_number=1
      weapon_fire_sound="IngramFire"
      weapon_fire_empty_sound="Pistol_Blank"
      weapon_reload_time=2.2
      collision_effect="Pistol_Puff"
      muzzle_effect="Riot_MuzzleFlash"
      weapon_ray_stamina=10
      add_discharge_effect="SpentPistolEffect,clip"
      damage_type="pierce"
      //launch_joint="Muzzle"
      ai_burst_time=1
      ai_max_range=900
   }
   @Mode "Secondary"
   {
      weapon_reload_sound="Ingram_Reload"

      weapon_type="instant"
      fire_period=.08
      weapon_ammo_index=6
      weapon_ray_length=4096
      weapon_ray_spread=0.015
      weapon_ray_damage=14
      weapon_ray_number=1
      weapon_fire_sound="IngramFire"
      weapon_fire_empty_sound="Pistol_Blank"
      weapon_reload_time=2.2
      collision_effect="Pistol_Puff"
      muzzle_effect="Riot_MuzzleFlash"
      muzzle_joint="Muzzle01"
      weapon_ray_stamina=10
      add_discharge_effect="SpentPistolEffect,clip01"
      damage_type="pierce"
      //launch_joint="Handle"
      ai_burst_time=1
      ai_max_range=900
   }
   encumbrance=0.15

   // Weapon as pickup settings.
   add_damage_type_adj="gas,0"
   add_damage_effect="energy|buckshot|pierce,ExplodingSparksEffect"
   pickup_spin=1
   pickup_bob=1
   give_weapon="RiotGun"
   give_ammo_type=6
   give_ammo_count=25
   sound_pickup="WeaponPickup"
   hit_points=20
   expire_explosion="RiotgunExplosion"
}

@Weapon "Grenade"
{
   filename="models/weapons/grenade.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Root"
   holster_sound="Holster"
   unholster_sound="Unholster"
   instant_autochange=1

   @Mode "Primary"
   {
      weapon_fire_delay=.78
      //auto_reload=1
      ammo_count=0
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=7
      weapon_projectile="grenade"
      weapon_projectile_velocity=800
      pre_fire_sound="grenade_throw"
      //ai_min_range=64
      ai_max_range=800
   }

      @Mode "Secondary"
   {
      weapon_fire_delay=.78
      //auto_reload=1
      ammo_count=0
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=7
      weapon_projectile="impact_grenade"
      weapon_projectile_velocity=800
      pre_fire_sound="grenade_throw"
      ai_min_range=128
      ai_max_range=1000
   }

   encumbrance=0
}

@Weapon "Bomb"
{
   filename="models/weapons/bombdetonator.chr"
   lighting_level=2
   track_to_joint="Bip01 R Gunjoint"
   track_joint="Handle"
   holster_sound="Holster"
   unholster_sound="Unholster"
   share_ammo=1
   exclusive_modes=0
   @Mode "Primary"
   {
      weapon_type="projectile"
      fire_period=0.6
      weapon_ammo_index=8
      weapon_projectile="satchel"
      weapon_projectile_velocity=350
      weapon_fire_sound="knife_swipe"
   }
   @Mode "Secondary"
   {
      weapon_type="detonator"
      fire_period=2
      weapon_ammo_index=-1
      idle_phase_sound="bomb_idle"
   }
   // Delayed detonator settings.
   // Effect (Sound) to play 
   // this effct is played on 
   // the player model.
   // when detonation starts.
   detonation_effect="bomb_dp"
   detonation_aborted_effect="bomb_abort"
   // Detonation cycle begins
   // only when projectiles for
   // this detonator already have been
   // dropped.
   detonation_time=30
   encumbrance=.6
}

